(function () {
  'use strict';

  const digital_services_company_observer = new IntersectionObserver((entries) => {
    entries.forEach((entry) => {
      if (entry.isIntersecting) {
        entry.target.classList.add('animations-show-item');
        digital_services_company_observer.unobserve(entry.target);
      } else {
        entry.target.classList.remove('animations-show-item');
      }
    });
  });

  const digital_services_company_hiddenElements = document.querySelectorAll('.animations-hidden-item');

  digital_services_company_hiddenElements.forEach((el) =>
    digital_services_company_observer.observe(el)
  );

})();